%define major 0
%define libname	%mklibname routino %{major}
%define develname %mklibname -d routino

Summary: Router for OpenStreetMap Data
Name: routino
Version: 3.1.1
Release: %mkrel 1
License: AGPLv3+
Group: File tools
URL: http://www.routino.org/
Source0: http://www.routino.org/download/routino-%{version}.tgz
Source1: README-MARBLE.txt
Patch0: install_path.diff
Patch1: rename_router.diff
Patch2: more_rename_router.diff
Patch3: routino-3.0-skip_cruft.diff
Patch4: routino-3.1-mga_fixes.diff
BuildRequires: libbzip2-devel
BuildRequires: zlib1-devel
BuildRequires: liblzma-devel

%description
Routino is a command-line application for finding a route between two points
using the dataset of topographical information collected by OpenStreetMap. It
can be used as a routing tool in Marble.

%package -n %{develname}
Summary: Development files for the %{name} library
Group: Development/Libraries
Provides: %{name}-devel = %{version}-%{release}
Requires: %{name} >= %{version}-%{release}

%description -n	%{develname}
Routino is a command-line application for finding a route between two points
using the dataset of topographical information collected by OpenStreetMap. It
can be used as a routing tool in Marble.

This package contains development files for the %{name} library.

%prep

%setup -q
cp -p %{SOURCE1} doc/
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

# cleanup
rm -f INSTALL.txt doc/INSTALL.txt doc/html/installation.html

# The web stuff needs more work to be packaged. The makefiles will copy things
# into the web directory if it's present, so get rid of it now.
rm -rf web

# Upstream builds but does not install extras. Don't waste build time, nor
# bother fixing the parallel make breakage there.
rm -rf extras

%build
export CFLAGS="%{optflags}"
export LDFLAGS="%{ldflags}"

%make

%install
rm -rf %buildroot
%makeinstall_std libdir=%{_libdir}

%files
%defattr(-,root,root)
%doc %{_docdir}/packages/%{name}/
%{_bindir}/%{name}-*
%{_datadir}/%{name}/
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Thu Jun 08 2017 adrianomorselli <adrianomorselli> 3.1.1-2uplos2017
- update
